﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FL_LEASEFEESHARE')
 CREATE TABLE T_FL_LEASEFEESHARE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACTNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBIZDATE DATETIME,
FEXPIREDATE DATETIME,
FLOANRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERESTTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBASIS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FREPAYMENTWAY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTAGEPLANID BIGINT DEFAULT 0 NOT NULL,
FSETTLEINTMODE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FINTERESTSETTLEDPLANID BIGINT DEFAULT 0 NOT NULL,
FISVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FVOUCHERNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPERIODSTARTDATE DATETIME,
FPERIODENDDATE DATETIME,
FDAY INT DEFAULT 0 NOT NULL,
FSHAREFREQUENCY NVARCHAR(30) DEFAULT ' ' NOT NULL,
FFEEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FIRR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONIRR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINCOSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURFEEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURGUAAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURREPURCHASEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACCRUALINTEREST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTMENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDCOSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONBILLNOID BIGINT DEFAULT 0 NOT NULL,
FRENTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRINCIPAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FL_LEASEFEESHARE_ENTRY')
 CREATE TABLE T_FL_LEASEFEESHARE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPERIOD NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDAY INT DEFAULT 0 NOT NULL,
FACCRUALINTEREST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTMENTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBEGINCOSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURFEEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURGUAAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURREPURCHASEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENDCOSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPAYAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRENTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRINCIPAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISVOUCHER CHAR(1) DEFAULT '0' NOT NULL,
FISLOCK CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_FL_LEASEFEESHARE_L')
 CREATE TABLE T_FL_LEASEFEESHARE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLOCALEID NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCONTRACTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);