﻿/**Begin D:\PDM_UPGRADE\PDM1\FL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_LOANCONTRACTBILL_C') 
 CREATE TABLE T_CFM_LOANCONTRACTBILL_C (
FID BIGINT DEFAULT 0 NOT NULL,
FLEASEHOLDTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FLEASEHOLD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLEASEHOLDTYPEID BIGINT DEFAULT 0 NOT NULL,
FLEASEHOLDID BIGINT DEFAULT 0 NOT NULL,
FASSETCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 1 NOT NULL,
FREPURCHASEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCONTRACT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FTOTALAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPURCHASE CHAR(1) DEFAULT '0' NOT NULL,
FPAYEDRENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNPAYEDRENT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_REPAYMENTBILL_C') 
 CREATE TABLE T_CFM_REPAYMENTBILL_C (
FID BIGINT DEFAULT 0 NOT NULL,
FINSTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CFM_CONTRACTBILL_PLAN') 
 CREATE TABLE T_CFM_CONTRACTBILL_PLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPAYDATE DATETIME,
FSTARTREVDATE DATETIME,
FENDREVDATE DATETIME,
FRENTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRINCIPAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXCLUDETAXAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESIDUEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYACCTID BIGINT DEFAULT 0 NOT NULL,
FEXECUTESTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNOTES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLASTMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FLASTMODIFYDATE DATETIME,
FISINITPLAN CHAR(1) DEFAULT '0' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\FL_table.sql **/
